local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 1.5
  fadeWipe.EndTimer = 0
end


function onBegin()

  if getFlag("deeperwell_02to01") then

    doFadeWipe(true)
    wait(0.6)
    enableMovement()
    enablePause()
    setFlag("deeperwell_02to01", false)

  end

end